org.apache.hc.client5.http.impl.auth

## Class KerberosScheme

- java.lang.Object
- - org.apache.hc.client5.http.impl.auth.GGSSchemeBase
  - - org.apache.hc.client5.http.impl.auth.KerberosScheme

All Implemented Interfaces:
  AuthScheme

    public class KerberosScheme
    extends GGSSchemeBase

KERBEROS authentication scheme.

Since:
  4.2

### Constructor Summary

Constructors
Constructor and Description
`KerberosScheme()`
`KerberosScheme(boolean stripPort)`
`KerberosScheme(DnsResolver dnsResolver, boolean stripPort, boolean useCanonicalHostname)`

### Method Summary

Methods
`protected byte[]` `generateToken(byte[] input, String serviceName, String authServer)`
`String` `getName()` Returns textual designation of the given authentication scheme.
`boolean` `isConnectionBased()` Determines if the authentication scheme is expected to provide an authorization response on a per connection basis instead of the standard per request basis

### Methods inherited from class org.apache.hc.client5.http.impl.auth.GGSSchemeBase

`createGSSContext, generateAuthResponse, generateGSSToken, getManager, getPrincipal, getRealm, isChallengeComplete, isResponseReady, processChallenge, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### KerberosScheme

    public KerberosScheme(DnsResolver dnsResolver,
                  boolean stripPort,
                  boolean useCanonicalHostname)

Since:
  4.4

#### KerberosScheme

    public KerberosScheme(boolean stripPort)

#### KerberosScheme

    public KerberosScheme()

### Method Detail

#### getName

    public String getName()

Description copied from interface: `AuthScheme`
Returns textual designation of the given authentication scheme.

Returns:
  the name of the given authentication scheme

#### generateToken

    protected byte[] generateToken(byte[] input,
                       String serviceName,
                       String authServer)
                            throws GSSException

Specified by:
  `generateToken` in class `GGSSchemeBase`
Throws:
  `GSSException`

#### isConnectionBased

    public boolean isConnectionBased()

Description copied from interface: `AuthScheme`
Determines if the authentication scheme is expected to provide an authorization response on a per connection basis instead of the standard per request basis

Returns:
  `true` if the scheme is connection based, `false` if the scheme is request based.